Subject: RE: "new" issue / Event Notification

From: <[email-masked]>
Date: Tue, 22 Apr 2003 18:09:03 +0300

I've created a new issue (Issue11) about this. In general I think that text replacement should be provided. But, let's see what chairs think about this issue system..
- Dan

> -----Original Message-----
> From: ext [email-masked]
> [mailto:[email-masked]]
> Sent: 22 April, 2003 17:56
> To: [email-masked]
> Subject: "new" issue / Event Notification
> 
> 
> hi all,
> 
> the following is about the discovery phase in the pana draft:
> 
>     PaC may also choose to start sending packets before getting
>     authenticated.  In that case, the network should detect this and
>     send an unsolicited PANA_start message to PaC.  EP is the 
> node that
>     can detect such activity.  If EP and PAA are co-located, then an
>     internal mechanism (e.g. API) between the EP module and the PAA
>     module on the same host can prompt PAA to start PANA.  In 
> case they
>     are separate, there needs to [be] an explicit message to prompt
>     PAA.
> 
> 
> 1/ on the one hand, the current version of the pana protocol quickly 
> states [discovery section] that, in case of 'traffic-driven' 
> authentication, the EP must send a PANA_start message to the PAA:
> 
>     Upon detecting the need to authenticate a client, EP can send a
>     PAC_discovery message to the PAA on behalf of the PaC. This
>     message carries a device identifier of the PaC in a Device-Id AVP.
> 
> 2/ on the other hand, the requirements draft [EP-PAA protocol 
> section] 
> states that the PAA-EP protocol should support 
> event-notification also:
> 
>     Depending on the PANA protocol design, support for either 
> of the push
>     model (i.e., EP initiating the PAA-EP protocol exchange 
> per PaC) or
>     the pull model (i.e., PAA initiating the PAA-EP protocol 
> exchange per
>     PaC), or both might be required.
> 
> 
> --> the working group should fix this (not listed on the web 
> site) issue 
> also (the PANA protocol OR the PAA-EP protocol supports the 
> EP-triggering)
> 
> my personal feeling on this is that the PANA protocol should be 
> restricted to PaC-PAA communication and the PAA-EP protocol 
> (whichever 
> you finaly choose) should take it as a requirement.
> 
> thanks,
> yacine
> 
> 
>